AceTime 2.4.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Attributes | Static Public Attributes | List of all members
ace_time::zoneinfohigh::ZoneContext< S > Struct Template Reference

Metadata about the zone database. More...

`#include <ZoneInfoHigh.h>`

## Public Attributes
int16_t const | startYear
| Start year of the zone files as requested.
int16_t const | untilYear
| Until year of the zone files as requested.
int16_t const | startYearAccurate
| Start year of accurate transitions. More...
int16_t const | untilYearAccurate
| Until year of accurate transitions. More...
int16_t const | baseYear
| Base year for tiny years. More...
int16_t const | maxTransitions
| Max number of transitions required in TransitionStorage.
const char *const | tzVersion
| TZ Database version which generated the zone info.
uint8_t const | numFragments
| Number of fragments.
uint8_t const | numLetters
| Number of fragments.
const char *const *const | fragments
| Zone Name fragment list.
const char *const *const | letters
| Zone Rule letters list.

## Static Public Attributes
static const int16_t | kMaxUntilYear = 32767
| The maximum value of untilYear. More...
static const int16_t | kMaxYear = kMaxUntilYear - 1
| The maximum value fromYear and toYear. More...
static const int16_t | kMinYear = -32767
| The minimum value of fromYear and toYear. More...
static const uint8_t | kSuffixW = 0x00
| Represents 'w' or wall time.
static const uint8_t | kSuffixS = 0x10
| Represents 's' or standard time.
static const uint8_t | kSuffixU = 0x20
| Represents 'u' or UTC time.

## Detailed Description

### template<typename S>
struct ace_time::zoneinfohigh::ZoneContext< S >

Metadata about the zone database.

A ZoneInfo struct will contain a pointer to this.

Definition at line 37 of file ZoneInfoHigh.h.

## Member Data Documentation

## ◆ baseYear

template<typename S >

int16_t const ace_time::zoneinfohigh::ZoneContext< S >::baseYear

Base year for tiny years.

Unused.

Definition at line 86 of file ZoneInfoHigh.h.

## ◆ kMaxUntilYear

template<typename S >

const int16_t ace_time::zoneinfohigh::ZoneContext< S >::kMaxUntilYear = 32767
| static

The maximum value of untilYear.

This value is used to represent the sentinel value "-" in the UNTIL column of the TZDB files which means "infinity". Must be greater than ZoneRule::kMaxYear which represents the value "max" in the TO and FROM columns of the TZDB files.

Definition at line 44 of file ZoneInfoHigh.h.

## ◆ kMaxYear

template<typename S >

const int16_t ace_time::zoneinfohigh::ZoneContext< S >::kMaxYear = kMaxUntilYear - 1
| static

The maximum value fromYear and toYear.

This value is used to represent the sentinel value "max" in the TZDB database files. Must be less than ZoneEra::kMaxUntilYear which is used to represent the entry "-" in the UNTIL column of the TZDB files.

Definition at line 52 of file ZoneInfoHigh.h.

## ◆ kMinYear

template<typename S >

const int16_t ace_time::zoneinfohigh::ZoneContext< S >::kMinYear = -32767
| static

The minimum value of fromYear and toYear.

This value is used for ZoneRule entries which are synthetically generated for certain time zones which do not naturally generate a transition for the database year interval specified by the ZoneContext. This value is guaranteed to be earlier than any explicit year in the TZDB database, which guarantees that all time zones have at least one transition.

Definition at line 62 of file ZoneInfoHigh.h.

## ◆ startYearAccurate

template<typename S >

int16_t const ace_time::zoneinfohigh::ZoneContext< S >::startYearAccurate

Start year of accurate transitions.

kMinYear indicates -Infinity.

Definition at line 80 of file ZoneInfoHigh.h.

## ◆ untilYearAccurate

template<typename S >

int16_t const ace_time::zoneinfohigh::ZoneContext< S >::untilYearAccurate

Until year of accurate transitions.

kMaxUntilYear indicates +Infinity.

Definition at line 83 of file ZoneInfoHigh.h.

The documentation for this struct was generated from the following file:

- /home/brian/src/AceTime/src/zoneinfo/ZoneInfoHigh.h